<template>
  <div class="taskDetail-welfare-list-item">
    <img :src="IconAttentioActive" class="taskDetail-welfare-list-item-icon" />
    <div class="taskDetail-welfare-list-item-text">高温补贴</div>
  </div>
</template>

<script setup lang="ts">
import IconAttentioActive from '@/assets/task/icon-attention-active.png';

defineOptions({
  name: 'TaskDetailWelfareItem',
});

// type Props = {};

// const props = withDefaults(defineProps<Props>(), {});
</script>

<style lang="scss">
@import '@/styles/common.scss';

.taskDetail-welfare-list-item {
  display: flex;
  align-items: center;
  flex-direction: column;
  width: 25%;

  .taskDetail-welfare-list-item-icon {
    width: 72px;
    height: 72px;
    margin-bottom: 24px;
  }

  .taskDetail-welfare-list-item-text {
    font-weight: 400;
    font-size: 24px;
    color: boleGetCssVar('text-color', 'regular');
    line-height: 36px;
    text-align: center;
    /* @include ellipsis; */
  }
}
</style>
